Pusha 3.4

Does Pusha work with WordPress 5.6 and PHP 7.4.8? A smoke test was performed on .

Summary

Errors
31PHP deprecation warnings
No JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: -3.86 KiB
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version5.6
PHP version7.4.8
MySQL version8.0.21
PHP memory limit256M
Plugin Info
Last updated
Active installs 20+
WordPress.org page https://wordpress.org/plugins/pusha/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=pusha%2Fpusha.php&plugin_status=all&paged=1&s&_wpnonce=1cafab09aa
Aspect after-activation
HTTP status 200
Load time 0.231 s
Memory usage 2.69 MiB
JS errors None
Resource errors None

Settings → Pusha

Page screenshot: Settings → Pusha
URL /wp-admin/options-general.php?page=pusha.php
Aspect menu-item
HTTP status 200
Load time 0.161 s
Memory usage 2.65 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200
Load time 0.769 s
Memory usage 2.62 MiB
JS errors None
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.269 s0.274 s+0.005 s2.79 MiB2.8 MiB+ 4.01 KiB
/wp-admin/edit.php0.180 s0.187 s+0.007 s2.84 MiB2.84 MiB+ 4.01 KiB
/wp-admin/post-new.php0.860 s0.737 s-0.123 s4.94 MiB4.94 MiB+ 8.68 KiB
/wp-admin/upload.php0.461 s0.410 s-0.051 s2.67 MiB2.67 MiB+ 3.48 KiB
/wp-admin/options-writing.php0.157 s0.135 s-0.022 s2.68 MiB2.66 MiB- 28.55 KiB
/wp-admin/media-new.php0.215 s0.166 s-0.049 s2.65 MiB2.65 MiB+ 3.65 KiB
/wp-admin/edit-tags.php?taxonomy=category0.188 s0.189 s+0.001 s2.68 MiB2.69 MiB+ 4.55 KiB
/wp-admin/post-new.php?post_type=page1.034 s0.537 s-0.497 s4.92 MiB4.93 MiB+ 4.27 KiB
/wp-admin/options-discussion.php0.277 s0.305 s+0.028 s2.65 MiB2.65 MiB+ 3.96 KiB
/wp-admin/edit-comments.php0.240 s0.222 s-0.018 s2.75 MiB2.75 MiB+ 2.86 KiB
/0.280 s0.379 s+0.099 s2.67 MiB2.62 MiB- 53.41 KiB
Average 0.378 s0.322 s-0.056 s3.11 MiB3.11 MiB- 3.86 KiB

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

No new entries found.

PHP Error Log 31 lines

[23-Dec-2020 13:31:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:49 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:49 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:52 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:55 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:55 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:56 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:56 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
[23-Dec-2020 13:31:56 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5143
See also: All tests for this plugin, How to Hide the "Pusha" Admin Menu